# New Change Request

This event happens each time an end-user submits a change request for a [personal plan](/partner-knowledge-base/platform-overview/client-experience/personal-plans.md) they've received through your White Swan account.

{% hint style="info" %}
Bear in mind that there is generally some time required for the agent to generate an additional plan for the client to compare against after receiving a change request. The sending of that plan is covered by the [New Personal Plan](/partner-knowledge-base/zapier-integration/triggers/new-personal-plan.md) trigger.
{% endhint %}

***

<details>

<summary>Sample Payload</summary>

```json
{
"event_message": "We just received a change request for the personal plan requested by John Doe. White Swan will generate other alternatives to allow a comparison between the original plan and another alternative. Once the new plan is ready, you'll be able to access all plans through https://app.whiteswan.io/personal_plan/john-doe",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"email": "john@acme.com",
"policy_type": "Indexed Universal Life",
"main_goal": "Accumulation",
"phone": "1234567890",
"resident_state": "Texas",
"death_benefit": 1000000,
"payment_schedule": "Yearly",
"paid_up_period": "20 Years",
"paid_up_period_numerical": 20,
"term_duration": "10 Years",
"term_duration_numerical": 10,
"premium_budget": 50000,
"gender": "Male",
"health_rating": "Excellent",
"date_of_birth": "1980-10-10T04:00:00.000Z",
"risk_profile": "Aggressive",
"expedited_products": false,
"convertability": false,
"riders": [
  "Waiver of Premium Rider",
  "Terminall Illness Rider",
  "Charitable Benefit Rider",
  "Child Insurance Rider"
],
"additional_premium_room": 0.1,
"one_time_deposit_amount": 7000,
"custom_account_allocation": true,
"allocation_accounts": [
  {
    "name": "Multi Index",
    "allocation_percentage": "0.33"
  },
  {
    "name": "International Stock Index",
    "allocation_percentage": 0.33
  },
  {
    "name": "Domestic Stock Index",
    "allocation_percentage": 0.33
  }
],
"uncapped_accounts": "Uncapped Accounts",
"fee_accounts": "Accounts without Fees",
"planned_retirement_income": true,
"retirement_start_age": 45,
"retirement_length": 20,
"original_request_id": "1667931025216x309440204683083800",
"other_request_plan_ids": [
  "1667931332101x321158240264257540",
  "1667931638992x442761987299737600"
]
}
```

</details>

**Data Returned by this Event:**

<table data-full-width="true"><thead><tr><th>Field Label</th><th>Field Key</th><th>Field Type</th><th>Example Value</th><th>Description</th></tr></thead><tbody><tr><td>Event Message</td><td>event_message</td><td>Text</td><td>We just received a change request for the personal plan...</td><td>Message detailing the event.</td></tr><tr><td>Client Full Name</td><td>name</td><td>Text</td><td>John Doe</td><td>Full name of the client.</td></tr><tr><td>Client First Name</td><td>first_name</td><td>Text</td><td>John</td><td>First name of the client.</td></tr><tr><td>Client Last Name</td><td>last_name</td><td>Text</td><td>Doe</td><td>Last name of the client.</td></tr><tr><td>Client Email</td><td>email</td><td>Text</td><td>john@acme.com</td><td>Email address of the client.</td></tr><tr><td>Policy Type</td><td>policy_type</td><td>Text</td><td>Indexed Universal Life</td><td>Type of policy the client is interested in.</td></tr><tr><td>Main Goal</td><td>main_goal</td><td>Text</td><td>Accumulation</td><td>Main goal of the client for the policy.</td></tr><tr><td>Client Phone</td><td>phone</td><td>Text</td><td>1234567890</td><td>Phone number of the client.</td></tr><tr><td>Client Resident State</td><td>resident_state</td><td>Text</td><td>Texas</td><td>State of residence of the client.</td></tr><tr><td>Change Request Death Benefit Need</td><td>death_benefit</td><td>Number</td><td>1000000</td><td>Death benefit amount requested in the change.</td></tr><tr><td>Change Request Payment Schedule</td><td>payment_schedule</td><td>Text</td><td>Yearly</td><td>Payment schedule requested in the change.</td></tr><tr><td>Change Request Paid Up Period (Text)</td><td>paid_up_period</td><td>Text</td><td>20 Years</td><td>Duration (in text) after which no further premiums are required in the change request.</td></tr><tr><td>Change Request Paid Up Period (Number)</td><td>paid_up_period_numerical</td><td>Number</td><td>20</td><td>Duration (in number) after which no further premiums are required in the change request.</td></tr><tr><td>Change Request Term Life Duration (Text)</td><td>term_duration</td><td>Text</td><td>10 Years</td><td>Duration (in text) of the term life insurance requested in the change.</td></tr><tr><td>Change Request Term Life Duration (Number)</td><td>term_duration_numerical</td><td>Number</td><td>10</td><td>Duration (in number) of the term life insurance requested in the change.</td></tr><tr><td>Change Request Premium Budget</td><td>premium_budget</td><td>Number</td><td>50000</td><td>Premium budget amount requested in the change.</td></tr><tr><td>Client Gender</td><td>gender</td><td>Text</td><td>Male</td><td>Gender of the client.</td></tr><tr><td>Client Health Rating</td><td>health_rating</td><td>Text</td><td>Excellent</td><td>Health rating of the client.</td></tr><tr><td>Client Date of Birth</td><td>date_of_birth</td><td>Text</td><td>1980-10-10T04:00:00.000Z</td><td>Date of birth of the client.</td></tr><tr><td>Client Risk Profile</td><td>risk_profile</td><td>Text</td><td>Aggressive</td><td>Risk profile of the client.</td></tr><tr><td>Client Expedited Product Preference</td><td>expedited_products</td><td>Boolean</td><td>False</td><td>Whether the client prefers expedited products.</td></tr><tr><td>Client Convertability Preference</td><td>convertability</td><td>Boolean</td><td>False</td><td>Whether the client prefers convertibility.</td></tr><tr><td>Rider Name</td><td>riders</td><td>List</td><td>Waiver of Premium Rider, Terminall Illness Rider, etc.</td><td>Names of the riders included in the change request.</td></tr><tr><td>Change Request Additional Room for Future Premium</td><td>additional_premium_room</td><td>Number</td><td>0.1</td><td>Additional room for future premium requested in the change.</td></tr><tr><td>Change Request One Time Deposit Amount</td><td>one_time_deposit_amount</td><td>Number</td><td>7000</td><td>One-time deposit amount requested in the change.</td></tr><tr><td>Change Request Custom Account Allocations</td><td>custom_account_allocation</td><td>Boolean</td><td>True</td><td>Whether the client has requested custom account allocations in the change.</td></tr><tr><td>Cash Value Account/Fund Allocations</td><td>allocation_accounts</td><td>Object List</td><td>-</td><td>For indexed/variable universal life, the accounts/funds that the cash value is initially planned to be allocated to.</td></tr><tr><td>-Account/Fund Name</td><td>name</td><td>Text</td><td>Domestic Stock Index</td><td>Names of the funds or accounts where allocations are made in the change request.</td></tr><tr><td>-Account/Fund Allocation Percentage</td><td>allocation_percentage</td><td>Number</td><td>0.33</td><td>Percentage of allocation to the fund or account in the change request.</td></tr><tr><td>Indexed Accounts Cap Preference (Indexed Universal Life Only)</td><td>uncapped_accounts</td><td>Text</td><td>Uncapped Accounts</td><td>Accounts cap preference requested in the change for Indexed Universal Life.</td></tr><tr><td>Indexed Accounts Fee Preference (Indexed Universal Life Only)</td><td>fee_accounts</td><td>Text</td><td>Accounts without Fees</td><td>Account fee preference requested in the change for Indexed Universal Life.</td></tr><tr><td>Retirement Income Planned</td><td>planned_retirement_income</td><td>Boolean</td><td>True</td><td>Whether retirement income is planned in the change request.</td></tr><tr><td>Age Start Distributing Income</td><td>retirement_start_age</td><td>Number</td><td>45</td><td>Age at which the client plans to start distributing income, as requested in the change.</td></tr><tr><td>Length of Retirement Distribution in Years</td><td>retirement_length</td><td>Number</td><td>20</td><td>Length of retirement distribution in years, as requested in the change.</td></tr><tr><td>Original Plan Request ID</td><td>original_request_id</td><td>Text</td><td>1667931025216x309440204683083800</td><td>ID of the original plan request.</td></tr><tr><td>Other Personal Plan ID(s) Associated With Original Plan</td><td>other_request_plan_ids</td><td>List</td><td>1667931332101x321158240264257540</td><td>IDs of other plans associated with the original plan.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks/new-change-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
